function y9g(){vfd.call(this)}
function p9g(a,b,d,e){GFd.call(this,a,b,d);this.a=e}
function Nfh(a){var b;if(!a.k){b=new w9g((U0i(qde(a.a)),Qnj(sde(a.a))));a.k=b}return a.k}
function Mfh(a){var b;if(!a.j){b=new p9g(QEd(Nbe(a.a)),Nfh(a),Lfh(a),lLg(Gce(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.j=b}return a.j}
function w9g(){Nyf.call(this,F2b);this.a=new Kzf(F2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
f3c(4504,1007,gyj,p9g);_.Qi=function(){};_.Vi=function(){this.A.Ar()};_.Zi=function(){ruf(this.a,this)};f3c(4507,2859,jzj,w9g);_.Ah=function(){return Fyf(this)};_.xr=function(){return this.a};_.yr=function(){return Z5j};_.Cr=function(){var a;a=new a$f(this.n);M0d(a,rGj,H0d($L(g2c,axj,264,[M0i(p0i(this.r,yAj),$L(F1c,axj,236,[])),M0i(p0i(this.r,sYj),$L(F1c,axj,236,[]))])));return a};_.Gr=function(){var a,b;b=new Bqg(5);g7c(b,new v2g,OHj);a=new y9g;u7c(b,b.u.b,a,new xfd(aZj));return b};f3c(4508,676,Qxj,y9g);_.md=function(a){return a.hL()};f3c(4575,1,Oyj);_.pd=function(){yGd(this.b,Mfh(this.a.a))};var v1b=wNd(4504),x1b=wNd(4507),w1b=wNd(4508);Czj(_o)(18);